All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.servlet.tbeans.html
Interface HTMLConstantsInterface

All Known Implementing Classes:
  Menu, MenuItem

    public interface HTMLConstantsInterface

Interface that contains the HTML Constants used by the Menu and MenuItem classes.

Field Summary
`static java.lang.String` | `AMPERSAND`
`static java.lang.String` | `APOS`
`static java.lang.String` | `APOS_COMMA`
`static java.lang.String` | `APOS_COMMA_APOS`
`static java.lang.String` | `BEGIN_DIV`
`static java.lang.String` | `BEGIN_SPAN` Key used for the beginning SPAN tag
`static java.lang.String` | `CLASS` Key used for style class
`static java.lang.String` | `COMMA`
`static java.lang.String` | `DEFAULT_MENU_PADDING`
`static java.lang.String` | `DEFAULT_TABLE_PROP` Key used for default table properties
`static java.lang.String` | `END_ANCHOR` Key used for the ending ANCHOR tag
`static java.lang.String` | `END_DATA` Key used for the ending TABLE CELL tag
`static java.lang.String` | `END_DIV`
`static java.lang.String` | `END_ROW` Key used for the ending TABLE ROW tag
`static java.lang.String` | `END_SPAN` Key used for the ending SPAN tag
`static java.lang.String` | `END_TABLE` Key used for the ending TABLE tag
`static java.lang.String` | `END_TAG` Key used for end tag
`static java.lang.String` | `EQUAL`
`static java.lang.String` | `JAVASCRIPT_VOID`
`static java.lang.String` | `NEW_LINE` Key used for a new line
`static java.lang.String` | `ON_BLUR`
`static java.lang.String` | `ON_CLICK` Key used for onClick event handler
`static java.lang.String` | `ON_FOCUS` Key used for onFocus event handler
`static java.lang.String` | `ON_KEY_DOWN`
`static java.lang.String` | `ON_KEY_PRESS`
`static java.lang.String` | `ON_KEY_UP`
`static java.lang.String` | `ON_MOUSE_DOWN`
`static java.lang.String` | `ON_MOUSE_OUT`
`static java.lang.String` | `ON_MOUSE_OVER` Key used for onMouseOver event handler
`static java.lang.String` | `ON_MOUSE_UP`
`static java.lang.String` | `QUESTION_MARK`
`static java.lang.String` | `QUOTE` Key used for quote
`static java.lang.String` | `START_ANCHOR` Key used for the beginning ANCHOR tag
`static java.lang.String` | `START_ANCHOR_CLASS` Key used for the beginning ANCHOR tag with class
`static java.lang.String` | `START_ANCHOR_HREF` Key used for the beginning ANCHOR tag with href
`static java.lang.String` | `START_DATA` Key used for the beginning TABLE CELL tag
`static java.lang.String` | `START_DATA_NOWRAP` Key used for the beginning TABLE CELL tag with nowrap
`static java.lang.String` | `START_DIV`
`static java.lang.String` | `START_IMG` Key used for the beginning IMAGE tag
`static java.lang.String` | `START_ROW` Key used for the beginning TABLE ROW tag
`static java.lang.String` | `START_SPAN` Key used for the beginning SPAN tag
`static java.lang.String` | `START_TABLE` Key used for the beginning TABLE tag
`static java.lang.String` | `XML_ESCAPED_AMPERSAND`

Field Detail

### START_SPAN

    static final java.lang.String START_SPAN

  Key used for the beginning SPAN tag

  See Also:
    Constant Field Values

### BEGIN_SPAN

    static final java.lang.String BEGIN_SPAN

  Key used for the beginning SPAN tag

  See Also:
    Constant Field Values

### END_SPAN

    static final java.lang.String END_SPAN

  Key used for the ending SPAN tag

  See Also:
    Constant Field Values

### START_TABLE

    static final java.lang.String START_TABLE

  Key used for the beginning TABLE tag

  See Also:
    Constant Field Values

### END_TABLE

    static final java.lang.String END_TABLE

  Key used for the ending TABLE tag

  See Also:
    Constant Field Values

### DEFAULT_TABLE_PROP

    static final java.lang.String DEFAULT_TABLE_PROP

  Key used for default table properties

  See Also:
    Constant Field Values

### START_ROW

    static final java.lang.String START_ROW

  Key used for the beginning TABLE ROW tag

  See Also:
    Constant Field Values

### END_ROW

    static final java.lang.String END_ROW

  Key used for the ending TABLE ROW tag

  See Also:
    Constant Field Values

### START_DATA

    static final java.lang.String START_DATA

  Key used for the beginning TABLE CELL tag

  See Also:
    Constant Field Values

### START_DATA_NOWRAP

    static final java.lang.String START_DATA_NOWRAP

  Key used for the beginning TABLE CELL tag with nowrap

  See Also:
    Constant Field Values

### END_DATA

    static final java.lang.String END_DATA

  Key used for the ending TABLE CELL tag

  See Also:
    Constant Field Values

### START_IMG

    static final java.lang.String START_IMG

  Key used for the beginning IMAGE tag

  See Also:
    Constant Field Values

### START_ANCHOR_CLASS

    static final java.lang.String START_ANCHOR_CLASS

  Key used for the beginning ANCHOR tag with class

  See Also:
    Constant Field Values

### START_ANCHOR_HREF

    static final java.lang.String START_ANCHOR_HREF

  Key used for the beginning ANCHOR tag with href

  See Also:
    Constant Field Values

### START_ANCHOR

    static final java.lang.String START_ANCHOR

  Key used for the beginning ANCHOR tag

  See Also:
    Constant Field Values

### END_ANCHOR

    static final java.lang.String END_ANCHOR

  Key used for the ending ANCHOR tag

  See Also:
    Constant Field Values

### BEGIN_DIV

    static final java.lang.String BEGIN_DIV

See Also:
  Constant Field Values

### START_DIV

    static final java.lang.String START_DIV

See Also:
  Constant Field Values

### END_DIV

    static final java.lang.String END_DIV

See Also:
  Constant Field Values

### ON_MOUSE_OVER

    static final java.lang.String ON_MOUSE_OVER

  Key used for onMouseOver event handler

  See Also:
    Constant Field Values

### ON_CLICK

    static final java.lang.String ON_CLICK

  Key used for onClick event handler

  See Also:
    Constant Field Values

### ON_FOCUS

    static final java.lang.String ON_FOCUS

  Key used for onFocus event handler

  See Also:
    Constant Field Values

### ON_BLUR

    static final java.lang.String ON_BLUR

See Also:
  Constant Field Values

### ON_MOUSE_UP

    static final java.lang.String ON_MOUSE_UP

See Also:
  Constant Field Values

### ON_MOUSE_DOWN

    static final java.lang.String ON_MOUSE_DOWN

See Also:
  Constant Field Values

### ON_MOUSE_OUT

    static final java.lang.String ON_MOUSE_OUT

See Also:
  Constant Field Values

### ON_KEY_UP

    static final java.lang.String ON_KEY_UP

See Also:
  Constant Field Values

### ON_KEY_DOWN

    static final java.lang.String ON_KEY_DOWN

See Also:
  Constant Field Values

### ON_KEY_PRESS

    static final java.lang.String ON_KEY_PRESS

See Also:
  Constant Field Values

### CLASS

    static final java.lang.String CLASS

  Key used for style class

  See Also:
    Constant Field Values

### QUOTE

    static final java.lang.String QUOTE

  Key used for quote

  See Also:
    Constant Field Values

### NEW_LINE

    static final java.lang.String NEW_LINE

  Key used for a new line

  See Also:
    Constant Field Values

### APOS_COMMA_APOS

    static final java.lang.String APOS_COMMA_APOS

See Also:
  Constant Field Values

### COMMA

    static final java.lang.String COMMA

See Also:
  Constant Field Values

### APOS_COMMA

    static final java.lang.String APOS_COMMA

See Also:
  Constant Field Values

### APOS

    static final java.lang.String APOS

See Also:
  Constant Field Values

### QUESTION_MARK

    static final java.lang.String QUESTION_MARK

See Also:
  Constant Field Values

### AMPERSAND

    static final java.lang.String AMPERSAND

See Also:
  Constant Field Values

### XML_ESCAPED_AMPERSAND

    static final java.lang.String XML_ESCAPED_AMPERSAND

See Also:
  Constant Field Values

### EQUAL

    static final java.lang.String EQUAL

See Also:
  Constant Field Values

### END_TAG

    static final java.lang.String END_TAG

  Key used for end tag

  See Also:
    Constant Field Values

### JAVASCRIPT_VOID

    static final java.lang.String JAVASCRIPT_VOID

See Also:
  Constant Field Values

### DEFAULT_MENU_PADDING

    static final java.lang.String DEFAULT_MENU_PADDING

See Also:
  Constant Field Values

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.